HubSpot
Deals
GET
Returns HubSpot CRM deals with amount, stage, pipeline, dates, and associations.
Filters:
organizationId(required)integrationId,integrationName(optional)id– deal IDdealStage– deal stage (e.g. closedwon, closedlost)pipeline– pipeline namedealName– deal namecreatedStart,createdEnd– creation date rangelastModifiedStart,lastModifiedEnd– last update date rangepage,limit– pagination
ClientIdAuthClientSecretAuthheader
x-client-id<token>Client ID
header
x-client-secret<token>Client secret
organizationId*stringOrganization identifier (required)
integrationId?stringIntegration identifier (optional)
integrationName?stringIntegration name (optional)
id?stringDeal ID (optional)
dealStage?stringDeal stage (optional)
pipeline?stringPipeline name (optional)
createdStart?stringStart date/time for creation filter (optional, ISO 8601)
Format
date-timecreatedEnd?stringEnd date/time for creation filter (optional, ISO 8601)
Format
date-timelastModifiedStart?stringStart date/time for last update filter (optional, ISO 8601)
Format
date-timelastModifiedEnd?stringEnd date/time for last update filter (optional, ISO 8601)
Format
date-timepage?integerPage number (optional)
Default
1limit?integerItems per page (optional, max 5000)
Range
value <= 5000Default
500Successful response
application/json- response
data?array<>meta?curl -X GET "https://example.com/v1/hubspot/deals?organizationId=organization_123&createdStart=2026-01-01T00%3A00%3A00Z&createdEnd=2026-01-31T23%3A59%3A59Z&lastModifiedStart=2026-01-01T00%3A00%3A00Z&lastModifiedEnd=2026-01-31T23%3A59%3A59Z"{ "data": [ { "id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived": true, "amount": 0, "amount_in_home_currency": 0, "close_date": "2019-08-24T14:15:22Z", "create_date": "2019-08-24T14:15:22Z", "days_to_close": "string", "deal_currency_code": "string", "deal_stage": "string", "hs_closed_amount": 0, "hs_closed_amount_in_home_currency": 0, "hs_closed_won_date": "2019-08-24T14:15:22Z", "hs_created_by_user_id": "string", "hs_exchange_rate": 0, "hs_forecast_amount": 0, "hs_forecast_probability": "string", "hs_is_closed": "string", "hs_is_closed_lost": "string", "hs_is_closed_won": "string", "hs_lastmodifieddate": "2019-08-24T14:15:22Z", "hs_primary_associated_company": "string", "hs_updated_by_user_id": "string", "hubspot_owner_id": "string", "pipeline": "string", "assoc_line_item_ids": [], "assoc_company_ids": [], "assoc_contact_ids": [], "integration_id": "string", "organization_id": "string", "user_id": "string", "document_id": "string", "inserted_at": "2019-08-24T14:15:22Z", "integration_name": "string" } ], "meta": { "page": 0, "limit": 0, "hasNextPage": true, "hasPreviousPage": true }}